Index: squid/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/structs.h,v
retrieving revision 1.1.1.3.4.2.2.7
retrieving revision 1.1.1.3.4.2.2.8
diff -u -r1.1.1.3.4.2.2.7 -r1.1.1.3.4.2.2.8
--- squid/src/structs.h	10 Feb 2002 17:55:57 -0000	1.1.1.3.4.2.2.7
+++ squid/src/structs.h	30 Apr 2002 17:21:51 -0000	1.1.1.3.4.2.2.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.1.1.3.4.2.2.7 2002/02/10 17:55:57 serassio Exp $
+ * $Id: structs.h,v 1.1.1.3.4.2.2.8 2002/04/30 17:21:51 serassio Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -406,6 +406,7 @@
 #if HTTP_VIOLATIONS
 	int reload_into_ims;
 #endif
+	int offline;
 	int redir_rewrites_host;
 	int prefer_direct;
 	int strip_query_terms;
@@ -419,8 +420,6 @@
 	int log_redirected_url;
 	int ie_refresh;
     } onoff;
-    int offline;
-    char *network_interface;
     acl *aclList;
     struct {
 	acl_access *http;
@@ -565,52 +564,13 @@
     const char *str;		/* quoted-string */
     int weak;			/* true if it is a weak validator */
 };
-#ifdef _SQUID_MSWIN_
-struct _sde {
-    unsigned int type;
-    u_short local_port;
-    u_short remote_port;
-    char ipaddr[16];		/* dotted decimal address of peer */
-    char desc[FD_DESC_SZ];
-    struct {
-	unsigned int open:1;
-	unsigned int close_request:1;
-	unsigned int write_daemon:1;
-	unsigned int closing:1;
-	unsigned int socket_eof:1;
-	unsigned int nolinger:1;
-	unsigned int nonblocking:1;
-	unsigned int ipc:1;
-	unsigned int called_connect:1;
-#ifdef OPTIMISTIC_IO
-	unsigned int calling_io_handler:1;
-#endif
-    } flags;
-    int bytes_read;
-    int bytes_written;
-    int uses;			/* ie # req's over persistent conn */
-    PF *read_handler;
-    void *read_data;
-    PF *write_handler;
-    void *write_data;
-    PF *timeout_handler;
-    time_t timeout;
-    void *timeout_data;
-    void *lifetime_data;
-    close_handler *close_handler;	/* linked list */
-    DEFER *defer_check;		/* check if we should defer read */
-    void *defer_data;
-    CommWriteStateData *rwstate;	/* State data for comm_write */
-};
-#endif
-
 
 struct _fde {
     unsigned int type;
     u_short local_port;
     u_short remote_port;
 #ifdef _SQUID_MSWIN_
-	FILE * fbuf;
+    FILE * fbuf;
 #endif
     char ipaddr[16];		/* dotted decimal address of peer */
     char desc[FD_DESC_SZ];
Index: squid/src/tools.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/tools.c,v
retrieving revision 1.1.1.3.4.1.2.16
retrieving revision 1.1.1.3.4.1.2.17
diff -u -r1.1.1.3.4.1.2.16 -r1.1.1.3.4.1.2.17
--- squid/src/tools.c	23 Feb 2002 21:41:03 -0000	1.1.1.3.4.1.2.16
+++ squid/src/tools.c	30 Apr 2002 17:21:51 -0000	1.1.1.3.4.1.2.17
@@ -1,6 +1,6 @@
 
 /*
- * $Id: tools.c,v 1.1.1.3.4.1.2.16 2002/02/23 21:41:03 serassio Exp $
+ * $Id: tools.c,v 1.1.1.3.4.1.2.17 2002/04/30 17:21:51 serassio Exp $
  *
  * DEBUG: section 21    Misc Functions
  * AUTHOR: Harvest Derived
@@ -63,24 +63,12 @@
     /* Release the main ports as early as possible */
     for (i = 0; i < NHttpSockets; i++) {
 	if (HttpSockets[i] >= 0)
-#ifdef _SQUID_MSWIN_
-	    closesocket(HttpSockets[i]);
-#else
 	    close(HttpSockets[i]);
-#endif
     }
     if (theInIcpConnection >= 0)
-#ifdef _SQUID_MSWIN_
-	closesocket(theInIcpConnection);
-#else
 	close(theInIcpConnection);
-#endif
     if (theOutIcpConnection >= 0 && theOutIcpConnection != theInIcpConnection)
-#ifdef _SQUID_MSWIN_
-	closesocket(theOutIcpConnection);
-#else
 	close(theOutIcpConnection);
-#endif
 }
 
 static char *
@@ -913,68 +901,3 @@
     }
     return 0;
 }
-
-#ifndef _SQUID_MSWIN_ 
-#include <net/if.h>
-#include <sys/ioctl.h>
-
-/* int is_interface_down(const char *interface_name)
- *
- * returns 0 if the interface exists and is UP
- * returns 1 if the interface is down, does not exist or there is an
- *     error trying to create a datagram socket to query interface status
- */
-int
-is_interface_down(const char *interface_name)
-{
-    int r,sockfd;
-    struct ifreq ifr;
-
-    sockfd = socket(AF_INET, SOCK_DGRAM, 0);
-    if (sockfd < 0)
-    {
-	return 1; /* Cannot create a socket.
-	             I guess we can assume that the network is
-                     nil operandum */
-    }
-    strncpy(ifr.ifr_name, interface_name, IFNAMSIZ);
-    ifr.ifr_name[IFNAMSIZ-1] = '\0';
-    if (ioctl(sockfd, SIOCGIFFLAGS, (caddr_t) &ifr) == -1)
-    {
-	close(sockfd);
-	return 1;       /* Interface probably doesn't exist */
-    }
-    if ((ifr.ifr_flags & (IFF_UP|IFF_RUNNING)) != (IFF_UP|IFF_RUNNING))
-	r=1; /* Down */
-    else
-	r=0; /* UP */
-
-    close(sockfd);
-    return r;
-}
-#endif
-
-/*
- * int check_offline(void)
- * Returns 0 if offline_mode is 0.
- * Returns 0 if offline_mode is 1 and the network_interface is up.
- * Returns 1 if offline_mode is 1 and the network_interface is down.
- * Returns 1 if offline_mode is 2.
- */
-int
-check_offline(void)
-{
-    static time_t last_checked=0;
-    static int    last_status=0;
-    time_t now;
-
-    /* Only check once per 5 second or so. */
-    time(&now);
-    if(now<=last_checked)
-	return last_status;
-    last_checked=now+5;
-    if(Config.offline!=1)
-	return Config.offline;
-    last_status=is_interface_down(Config.network_interface);
-    return last_status;
-}
Index: squid/src/typedefs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/typedefs.h,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.4
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.4
--- squid/src/typedefs.h	14 Jun 2001 20:36:16 -0000	1.1.1.3.4.1.2.3
+++ squid/src/typedefs.h	30 Apr 2002 17:21:51 -0000	1.1.1.3.4.1.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: typedefs.h,v 1.1.1.3.4.1.2.3 2001/06/14 20:36:16 serassio Exp $
+ * $Id: typedefs.h,v 1.1.1.3.4.1.2.4 2002/04/30 17:21:51 serassio Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -81,9 +81,6 @@
 typedef struct _dwrite_q dwrite_q;
 typedef struct _ETag ETag;
 typedef struct _fde fde;
-#ifdef _SQUID_MSWIN_
-typedef struct _sde sde;
-#endif
 typedef struct _fileMap fileMap;
 typedef struct _fqdncache_entry fqdncache_entry;
 typedef struct _fqdn_pending fqdn_pending;
Index: squid/src/wais.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/wais.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.2
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.2
--- squid/src/wais.c	6 Jan 2001 12:40:17 -0000	1.1.1.2.4.1.2.1
+++ squid/src/wais.c	30 Apr 2002 17:21:51 -0000	1.1.1.2.4.1.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: wais.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:17 hno Exp $
+ * $Id: wais.c,v 1.1.1.2.4.1.2.2 2002/04/30 17:21:51 serassio Exp $
  *
  * DEBUG: section 24    WAIS Relay
  * AUTHOR: Harvest Derived
@@ -103,11 +103,7 @@
     read_sz = delayBytesWanted(delay_id, 1, read_sz);
 #endif
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, buf, read_sz);
-#else
     len = read(fd, buf, read_sz);
-#endif
     if (len > 0) {
 	fd_bytes(fd, len, FD_READ);
 #if DELAY_POOLS
Index: squid/src/win32.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/win32.c,v
retrieving revision 1.1.2.15
retrieving revision 1.1.2.16
diff -u -r1.1.2.15 -r1.1.2.16
--- squid/src/win32.c	6 Apr 2002 17:37:39 -0000	1.1.2.15
+++ squid/src/win32.c	30 Apr 2002 17:21:51 -0000	1.1.2.16
@@ -374,7 +374,7 @@
 	WIN32_build_argv(WIN32_Service_Command_Line);
 	*argc = WIN32_argc;
 	*argv = WIN32_argv;
-	/* Set Service Staus to SERVICE_START_PENDING */
+	/* Set Service Status to SERVICE_START_PENDING */
 	svcStatus.dwServiceType = SERVICE_WIN32_OWN_PROCESS;
 	svcStatus.dwCurrentState = SERVICE_START_PENDING;
 	svcStatus.dwControlsAccepted =
Index: squid/win/cf_gen/cf_gen.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cf_gen/Attic/cf_gen.dsp,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid/win/cf_gen/cf_gen.dsp	3 Feb 2002 15:28:51 -0000	1.1.2.3
+++ squid/win/cf_gen/cf_gen.dsp	30 Apr 2002 17:21:51 -0000	1.1.2.4
@@ -94,6 +94,10 @@
 # Begin Group "Header Files"
 
 # PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\include\config.h
+# End Source File
 # End Group
 # Begin Group "Resource Files"
 
Index: squid/win/squidnt/squidnt.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.dsp,v
retrieving revision 1.1.2.9
retrieving revision 1.1.2.10
diff -u -r1.1.2.9 -r1.1.2.10
--- squid/win/squidnt/squidnt.dsp	16 Feb 2002 18:20:32 -0000	1.1.2.9
+++ squid/win/squidnt/squidnt.dsp	30 Apr 2002 17:21:51 -0000	1.1.2.10
@@ -51,7 +51,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
-# ADD LINK32 ws2_32.lib advapi32.lib psapi.lib Iphlpapi.lib /nologo /subsystem:console /machine:I386 /out:"Release/squid.exe"
+# ADD LINK32 ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /machine:I386 /out:"Release/squid.exe"
 # SUBTRACT LINK32 /profile
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
@@ -82,7 +82,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 winwrap.lib kernel32.lib ws2_32.lib advapi32.lib psapi.lib Iphlpapi.lib /nologo /subsystem:console /debug /machine:I386 /out:"Debug/squid.exe" /pdbtype:sept
+# ADD LINK32 winwrap.lib kernel32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /debug /machine:I386 /out:"Debug/squid.exe" /pdbtype:sept
 # SUBTRACT LINK32 /profile
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
